# $Revision: 1.15.2.2 $, $Date: 2003/04/08 19:36:11 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Convert
%define		pnam	ASCII-Armour
Summary:	Convert::ASCII::Armour Perl module
Summary(cs):	Modul Convert::ASCII::Armour pro Perl
Summary(da):	Perlmodul Convert::ASCII::Armour
Summary(de):	Convert::ASCII::Armour Perl Modul
Summary(es):	Mdulo de Perl Convert::ASCII::Armour
Summary(fr):	Module Perl Convert::ASCII::Armour
Summary(it):	Modulo di Perl Convert::ASCII::Armour
Summary(ja):	Convert::ASCII::Armour Perl ⥸塼
Summary(ko):	Convert::ASCII::Armour  
Summary(no):	Perlmodul Convert::ASCII::Armour
Summary(pl):	Modu Perla Convert::ASCII::Armour
Summary(pt):	Mdulo de Perl Convert::ASCII::Armour
Summary(pt_BR):	Mdulo Perl Convert::ASCII::Armour
Summary(ru):	  Perl Convert::ASCII::Armour
Summary(sv):	Convert::ASCII::Armour Perlmodul
Summary(uk):	  Perl Convert::ASCII::Armour
Summary(zh_CN):	Convert::ASCII::Armour Perl ģ
Name:		perl-Convert-ASCII-Armour
Version:	1.4
Release:	9
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
%if 0%{!?_without_tests:1}
BuildRequires:        perl-Compress-Zlib
BuildRequires:        perl-Digest-MD5
BuildRequires:        perl-MIME-Base64
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert::ASCII::Armor - Convert binary octets into ASCII armoured
messages.

%description -l pl
Convert::ASCII::Armor - konwertuje binarne dane na wiadomoci kodowane
w ASCII.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{perl_sitelib}/Convert/ASCII
%{perl_sitelib}/Convert/ASCII/*.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Convert-ASCII-Armour.spec,v $
Revision 1.15.2.2  2003/04/08 19:36:11  ankry
- added tests; rel. 9

Revision 1.15.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.15  2003/02/25 00:37:40  radek
- use the __perl macro

Revision 1.14  2003/02/18 15:28:23  ankry
- massive attack: change CPAN URLs

Revision 1.13  2002/07/22 21:31:07  ankry
- translations, cleaning

Revision 1.12  2002/07/21 12:22:10  qboosh
- added missing man pages, release 7

Revision 1.11  2002/07/12 10:20:49  qboosh
- added missing dir, release 6

Revision 1.10  2002/07/10 08:46:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.9  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.8  2002/02/25 10:30:12  depesz
cleanup; revision++

Revision 1.7  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/13 14:10:18  depesz
automatic: Source location unified, Relase Up

Revision 1.5  2002/02/10 15:39:12  depesz
adapterized

Revision 1.4  2002/01/18 02:14:12  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.3  2001/12/12 09:28:01  qboosh
- pl translations

Revision 1.2  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.1  2001/04/30 14:59:01  baggins
- initial revision
